$nb-rollingText-item: 5;
.rollingText {
  width: 100%;
  height: $standart-LH;
  color: inherit;
  font-size: inherit;
  text-align: inherit;
  overflow: hidden;
  position: relative;
  &-wrapper {
    width: 100%;
    height: auto;
    display: block;
    position: absolute;
    top: 0;
    left: 0;
    @for $n from 1 through $nb-rollingText-item {
      &--#{$n} {
        animation: rollingTextAnim-#{$n} #{$n * 3}s linear 0s infinite normal;
      }
    }
    &-item {
      display: block;
      width: 100%;
      height: $standart-LH;
      overflow-y: hidden;
    }
  }
}

@for $i from 1 through $nb-rollingText-item {
  @keyframes rollingTextAnim-#{$i} {
    0% {
      top: 0;
    }
    @for $j from 1 through $i {
      #{(100 / $i) * $j - (10 / $i)}% {
        top: #{-100% * ($j - 1)};
      }
      #{(100 / $i) * $j}% {
        top: #{-100% * $j};
      }
    }
  }
}
